### Function

# Gtk TreeViewRowSeparatorFunc

#### Declaration

    gboolean
    TreeViewRowSeparatorFunc (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

Function type for determining whether the row pointed to by `iter` should be rendered as a separator. A common way to implement this is to have a boolean column in the model, whose values the `GtkTreeViewRowSeparatorFunc` returns.

#### Parameters

`model` | `GtkTreeModel`
| The `GtkTreeModel`.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` pointing at a row in `model`.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data.

#### Return value

Returns: | `gboolean`
| `TRUE` if the row is a separator.